-- Luzerne Fruit Register
-- Special for Greenfertilizer Mod bei upsidedown

local luzernehudFile = Utils.getFilename("map/scripts/huds/luzerne_hud.dds", g_currentModDirectory);
-- 						   (string name, bool needsSeeding,  bool allowsSeeding, bool useSeedingWidth, float directionSnapAngle, int minHarvestingGrowthState, int maxHarvestingGrowthState, int cutState, bool allowsPartialGrowthState, float pricePerLiter, float literPerSqm, float seedUsagePerSqm, bool partOfEconomy, string hudOverlayFilename, float4 fruitMapColor)
FruitUtil.registerFruitType("luzerne", g_i18n:getText("luzerne"), false, true, false, 0, 4, 6, 8, false, 0.75, 13, 0.002, true, luzernehudFile, luzernehudFile, {.4863, 0.5686, 1, 1});
FruitUtil.registerFruitTypeWindrow(FruitUtil.FRUITTYPE_LUZERNE, "luzerne_windrow", g_i18n:getText("luzerne_windrow"), 0.04, 5, false, nil);

FruitUtil.registerFruitTypeWindrowForageWagonConversion(FruitUtil.FRUITTYPE_LUZERNE, FruitUtil.FRUITTYPE_GRASS);

local origSowingMachineLoad = SowingMachine.load;

SowingMachine.load = function (self, xmlFile)
if origSowingMachineLoad ~= nil then
origSowingMachineLoad(self, xmlFile);
end;
for k,v in pairs(self.seeds) do
fruitTypeDesc = FruitUtil.fruitTypes["grass"];
if v == fruitTypeDesc.index then
table.insert(self.seeds, FruitUtil.fruitTypes["luzerne"].index);
end;
end;
end;

-- SunFlower  --

local sunflowerhudFile = Utils.getFilename("map/scripts/huds/sunflowerHud.dds", g_currentModDirectory);
FruitUtil.registerFruitType("sunflower", g_i18n:getText("sunflower"), true, true, false, 0, 4, 6, 8, false, 0.4, 3.0, 0.05, true, sunflowerhudFile, sunflowerhudFile, {0,1,0,1}); 
	
local origSowingMachineLoad = SowingMachine.load;
local orig TrailerLoad =  Trailer.load;

SowingMachine.load = function (self, xmlFile)
	if origSowingMachineLoad ~= nil then
		origSowingMachineLoad(self, xmlFile);
	end;
	
	for k,v in pairs(self.seeds) do  
		fruitTypeDesc = FruitUtil.fruitTypes["maize"];
		if v == fruitTypeDesc.index then
			table.insert(self.seeds, FruitUtil.fruitTypes["sunflower"].index);
		end;
	end
end;

-- oat / avoine --
print("Register fruit type: oat");
local oathudFile = Utils.getFilename("map/scripts/huds/oathud.dds", g_currentModDirectory);
FruitUtil.registerFruitType("oat", g_i18n:getText("oat"), true, true, false, 0, 4, 6, 8, true, 0.4, 3, 0.05, true, oathudFile, oathudFile, {2,0,1,1});	
FruitUtil.registerFruitTypeWindrow(FruitUtil.FRUITTYPE_OAT, "oat_windrow", g_i18n:getText("oat_windrow"), 0.04, 5, false, nil);
	
local origSowingMachineLoad = SowingMachine.load;
local orig TrailerLoad =  Trailer.load;

SowingMachine.load = function (self, xmlFile)
	if origSowingMachineLoad ~= nil then
		origSowingMachineLoad(self, xmlFile);
	end;
	
	for k,v in pairs(self.seeds) do  
		fruitTypeDesc = FruitUtil.fruitTypes["wheat"];
		if v == fruitTypeDesc.index then
			table.insert(self.seeds, FruitUtil.fruitTypes["oat"].index);
		end;
	end
end;
-- Sorghum  sorgho --
print("Register fruit type: sorghum");
local sorghumhudFile = Utils.getFilename("map/scripts/huds/sorghumhud.dds", g_currentModDirectory);
FruitUtil.registerFruitType("sorghum", g_i18n:getText("sorghum"), true, true, false, 0, 4, 6, 8, true, 0.4, 3, 0.05, true, sorghumhudFile, sorghumhudFile, {0.5,0.5,0,1});	
	
local origSowingMachineLoad = SowingMachine.load;
local orig TrailerLoad =  Trailer.load;

SowingMachine.load = function (self, xmlFile)
	if origSowingMachineLoad ~= nil then
		origSowingMachineLoad(self, xmlFile);
	end;
	
	for k,v in pairs(self.seeds) do  
		fruitTypeDesc = FruitUtil.fruitTypes["maize"];
		if v == fruitTypeDesc.index then
			table.insert(self.seeds, FruitUtil.fruitTypes["sorghum"].index);
		end;
	end
end;
-- Komposterde

-- print("FruitType registered: compost_soil");
--local compostSoilhudFile = Utils.getFilename("map/scripts/huds/compostSoilHud.png", g_currentModDirectory);

--FruitUtil.registerFruitType("compost_soil", g_i18n:getText("compost_soil"), true, true, false, 0, 4, 6, 8, false, 0.15, 4, 0.1, true, compostSoilhudFile);
--FruitUtil.registerFruitTypeWindrow(FruitUtil.FRUITTYPE_COMPOST_SOIL, "compost_soil_windrow", g_i18n:getText("compost_soil_windrow"), 0, 3, false, nil);

--local orig TrailerLoad = Trailer.load; 
